:root {
  --color-bg: #222;
  --color-text: #666;
  --color-alternate: #ececec;
  --color-accent: #e2001a;
  --color-link: var(--color-alternate);
  --color-hover: var(--color-accent);
  --color-visited: var(--color-link);

  --font-size: 16px;
  --font-family: monospace, monospace;
  --line-height: 1.6;

  --width-min: 320px;
  --width-max: 1200px;
}

*,
::before,
::after {
  box-sizing: border-box;
}

html {
  margin: 0;
  padding: 0;

  font-size: var(--font-size);
}

body {
  margin: 0;
  padding: 0;

  color: var(--color-text);
  background-color: var(--color-bg);

  font-size: 1rem;
  font-family: var(--font-family);
  line-height: var(--line-height);
}

a {
  color: var(--color-link, inherit);
  text-decoration: none;
  transition: color 0.25s ease;
}
a:visited {
  color: var(--color-visited, inherit);
  outline: 0;
}
a:hover {
  color: var(--color-hover, inherit);
  outline: 0;
}
a:active {
  color: var(--color-active, inherit);
  outline: 0;
}
a:focus {
  color: var(--color-hover, inherit);
  outline: 0;
  border-bottom: 1px dotted var(--color-hover, inherit);
}

#root {
  min-width: var(--width-min);
  max-width: var(--width-max);
  min-height: 100vh;
  margin: auto;

  display: flex;
  justify-content: center;
  align-items: center;
}

#container {
  display: flex;
  flex-flow: column;
  min-height: 90vh;
  justify-content: space-between;
  align-items: center;
  flex: 1;
}

#artbox {
  display: flex;
  flex-flow: column;
  justify-content: space-evenly;
  align-items: center;
  padding: 1rem;
}

#art {
  font-size: 2rem;
  line-height: 1;
}

#quote {
  font-size: 0.75rem;
  text-align: center;
  white-space: nowrap;
}

#text {
  text-align: center;
}

/* #message {
} */

#message::before {
  content: "---==- ";
}

#message::after {
  content: " -==---";
}

/* #link {
} */

@media (min-width: 920px) {
  #artbox {
    width: 100%;
    flex-flow: row wrap;
  }
  #art {
    font-size: 3rem;
  }
  #quote {
    font-size: 1rem;
  }
}
